# 🇬🇧 Run the web search from the terminal
# 🇵🇹 Execute a pesquisa da web a partir do terminal

ZSH_WEB_SEARCH_ENGINES=(
  alto      "https://alternativeto.net/browse/search/?q="
  aur       "https://aur.archlinux.org/packages?K="
  beolingus "https://dict.tu-chemnitz.de/dings.cgi?service=deen&query="
  bgten     "https://www.bing.com/translator?from=auto-detect&to=en&setlang=pt&text="
  bgtpt     "https://www.bing.com/translator?from=auto-detect&to=pt&setlang=pt&text="
  cambridge "https://dictionary.cambridge.org/dictionary/english/"
  dicio     "https://www.dicio.com.br/"
  pokewiki  "https://bulbapedia.bulbagarden.net/wiki/"
  wiktpt    "https://pt.wiktionary.org/wiki/"
)

alias alto='web_search alto'
alias aur='web_search aur'
alias beolingus='web_search beolingus'
alias bgten='web_search bgten'
alias bgtpt='web_search bgtpt'
alias dicio='web_search dicio'
alias cambridge='web_search cambridge'
alias pokewiki='web_search pokewiki'
alias wiktpt='web_search wiktpt'

# 🇬🇧 Add your own searches here
# 🇵🇹 Adicione suas próprias pesquisas aqui
alias codepen='web_search duckduckgo \!codepen'
alias collins='web_search duckduckgo \!cd'
alias colorhexa='web_search duckduckgo \!color'
alias dart='web_search duckduckgo \!da'
alias dlcat='web_search duckduckgo \!dlcat'
alias ducky='web_search duckduckgo \!'
alias fhub='web_search duckduckgo \!flathub'
alias fontsquirrel='web_search duckduckgo \!fonts'
alias freecode='web_search duckduckgo \!fcode'
alias gfonts='web_search duckduckgo \!gfonts'
alias ggar='web_search duckduckgo \!gar'
alias ggbr='web_search duckduckgo \!gbr'
alias ggca='web_search duckduckgo \!gca'
alias ggcat='web_search duckduckgo \!gcat'
alias ggde='web_search duckduckgo \!gde'
alias gges='web_search duckduckgo \!ges'
alias ggfr='web_search duckduckgo \!gfr'
alias ggit='web_search duckduckgo \!gitl'
alias ggmx='web_search duckduckgo \!gmx'
alias ggnl='web_search duckduckgo \!gnl'
alias ggpt='web_search duckduckgo \!gpt'
alias gguk='web_search duckduckgo \!guk'
alias ggus='web_search duckduckgo \!gus'
alias githubcode='web_search duckduckgo \!ghc'
alias glab='web_search duckduckgo \!gitlab'
alias gtende='web_search duckduckgo \!ende'
alias gtenel='web_search duckduckgo \!enel'
alias gtenes='web_search duckduckgo \!enes'
alias gtenfr='web_search duckduckgo \!enfr'
alias gtenit='web_search duckduckgo \!enit'
alias gtennl='web_search duckduckgo \!ennl'
alias gtenpt='web_search duckduckgo \!enpt'
alias gtfren='web_search duckduckgo \!fren'
alias gtnlen='web_search duckduckgo \!nlen'
alias gtpten='web_search duckduckgo \!pten'
alias hackernoon='web_search duckduckgo \!hno'
alias iicons8='web_search duckduckgo \!icons8'
alias iimgur='web_search duckduckgo \!imgur'
alias iinstgram='web_search duckduckgo \!instagram'
alias iip='web_search duckduckgo \!ip'
alias image='web_search duckduckgo \!i'
alias jargonfr='web_search duckduckgo \!jargonfr'
alias jbplug='web_search duckduckgo \!jbplugins'
alias jjisho='web_search duckduckgo \!jisho'
alias jjlpt='web_search duckduckgo \!jlpt'
alias jjs='web_search duckduckgo \!js'
alias kabum='web_search duckduckgo \!kabum'
alias kkotlin='web_search duckduckgo \!kotlin'
alias latexwb='web_search duckduckgo \!latexwb'
alias ledict='web_search duckduckgo \!ledict'
alias llarousse='web_search duckduckgo \!larousse'
alias llinguee='web_search duckduckgo \!lin'
alias llutris='web_search duckduckgo \!lutris'
alias map='web_search duckduckgo \!m'
alias memalpha='web_search duckduckgo \!ma'
alias mercadolivre='web_search duckduckgo \!mlbr'
alias merriam='web_search duckduckgo \!mw'
alias mijnwoorden='web_search duckduckgo \!mwb'
alias mlbr='web_search duckduckgo \!mlbr'
alias mozillacss='web_search duckduckgo \!css'
alias myfonts='web_search duckduckgo \!myfonts'
alias news='web_search duckduckgo \!n'
alias nnasa='web_search duckduckgo \!nasa'
alias nnpm='web_search duckduckgo \!npm'
alias oocs='web_search duckduckgo \!ocs'
alias pixabay='web_search duckduckgo \!pixabay'
alias pixabaysvg='web_search duckduckgo \!pxvg'
alias playstore='web_search duckduckgo \!playstore'
alias pokedex='web_search duckduckgo \!pokedex'
alias pokewiki='web_search duckduckgo \!pokemondb'
alias ponsdeen='web_search duckduckgo \!ponsdeen'
alias ponsende='web_search duckduckgo \!ponsde'
alias ppacman='web_search duckduckgo \!pacman'
alias ppatent='web_search duckduckgo \!patent'
alias pphp='web_search duckduckgo \!php'
alias priberam='web_search duckduckgo \!priberam'
alias pwned='web_search duckduckgo \!pwned'
alias reverso='web_search duckduckgo \!reversoenfr'
alias rrae='web_search duckduckgo \!rae'
alias rrag='web_search duckduckgo \!rag'
alias rreclame='web_search duckduckgo \!reclame'
alias sendict='web_search duckduckgo \!sendict'
alias sketchr='web_search duckduckgo \!sktr'
alias spanconj='web_search duckduckgo \!sconj'
alias spandict='web_search duckduckgo \!sdict'
alias tangorin='web_search duckduckgo \!tangorin'
alias tatoeba='web_search duckduckgo \!tatoeba'
alias timeis='web_search duckduckgo \!tis'
alias unsplash='web_search duckduckgo \!unsplash'
alias urbandict='web_search duckduckgo \!ud'
alias uunicode='web_search duckduckgo \!unic'
alias vandale='web_search duckduckgo \!vandale'
alias verbixnl='web_search duckduckgo \!nlverbix '
alias verbscat='web_search duckduckgo \!verbscat'
alias vverben='web_search duckduckgo \!verben'
alias wiki='web_search duckduckgo \!w'
alias wikica='web_search duckduckgo \!wca'
alias wikide='web_search duckduckgo \!wde'
alias wikiel='web_search duckduckgo \!wel'
alias wikieo='web_search duckduckgo \!weo'
alias wikies='web_search duckduckgo \!wes'
alias wikifr='web_search duckduckgo \!wfr'
alias wikiht='web_search duckduckgo \!wht'
alias wikinl='web_search duckduckgo \!wnl'
alias wikipt='web_search duckduckgo \!wpt'
alias wikiru='web_search duckduckgo \!wru'
alias wikius='web_search duckduckgo \!weus'
alias wikt='web_search duckduckgo \!wikt'
alias wiktes='web_search duckduckgo \!wtes'
alias wiktfr='web_search duckduckgo \!wtfr'
alias wiktnl='web_search duckduckgo \!wtnl'
alias wiktro='web_search duckduckgo \!wtro'
alias wiktru='web_search duckduckgo \!wtru'
alias woxibon='web_search duckduckgo \!woxibon'
alias wwolfram='web_search duckduckgo \!wa'
alias wwookie='web_search duckduckgo \!wookie'
alias youtube='web_search duckduckgo \!yt'
